Per-session analysis result, signals, gap events, and linked clusters
GET
/
v1
/
knowledge-gaps
/
sessions
/
{session_id}
/
analysis
Per-session analysis result, signals, gap events, and linked clusters
curl --request GET \
--url https://api-sandbox.featherhq.com/v1/knowledge-gaps/sessions/{session_id}/analysis \
--header 'x-api-key: <api-key>'{
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"knowledge_gap_analysis_outcome": "<string>",
"job": {
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"attempts": 123,
"created_at": "2023-11-07T05:31:56Z",
"current_stage": "<string>",
"skip_reason": "<string>",
"error_message": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z"
},
"result": {
"deep_analysis_required": true,
"decision_source": "<string>",
"decision_reason": "<string>",
"knowledge_gap_detected": true,
"analysis_confidence": 123,
"candidate_count": 123,
"total_gap_events": 123,
"deep_analysis_reasons": [
{}
],
"unresolved_candidates": [
{}
],
"classified_gaps": [
{}
],
"retrieval_validation_results": [
{}
]
},
"gap_events": [
{
"gap_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"candidate_id": "<string>",
"canonical_question": "<string>",
"effective_gap_type": "<string>",
"original_gap_type": "<string>",
"severity": "<string>",
"confidence": 123,
"corrected_gap_type": "<string>",
"completion_impact": "<string>",
"validation_confidence": 123,
"product_area": "<string>",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"claims": [
{}
],
"retrieved_doc_ids": [
"<string>"
],
"cited_doc_ids": [
"<string>"
],
"implicated_doc_ids": [
"<string>"
]
}
],
"linked_clusters": [
{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"status": "<string>",
"priority": "<string>"
}
]
}Authorizations
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Per-session analysis result, signals, gap events, and linked clusters
curl --request GET \
--url https://api-sandbox.featherhq.com/v1/knowledge-gaps/sessions/{session_id}/analysis \
--header 'x-api-key: <api-key>'{
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"knowledge_gap_analysis_outcome": "<string>",
"job": {
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"attempts": 123,
"created_at": "2023-11-07T05:31:56Z",
"current_stage": "<string>",
"skip_reason": "<string>",
"error_message": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z"
},
"result": {
"deep_analysis_required": true,
"decision_source": "<string>",
"decision_reason": "<string>",
"knowledge_gap_detected": true,
"analysis_confidence": 123,
"candidate_count": 123,
"total_gap_events": 123,
"deep_analysis_reasons": [
{}
],
"unresolved_candidates": [
{}
],
"classified_gaps": [
{}
],
"retrieval_validation_results": [
{}
]
},
"gap_events": [
{
"gap_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"candidate_id": "<string>",
"canonical_question": "<string>",
"effective_gap_type": "<string>",
"original_gap_type": "<string>",
"severity": "<string>",
"confidence": 123,
"corrected_gap_type": "<string>",
"completion_impact": "<string>",
"validation_confidence": 123,
"product_area": "<string>",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"claims": [
{}
],
"retrieved_doc_ids": [
"<string>"
],
"cited_doc_ids": [
"<string>"
],
"implicated_doc_ids": [
"<string>"
]
}
],
"linked_clusters": [
{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"status": "<string>",
"priority": "<string>"
}
]
}